package com.zhibao.crm.cms.util;

import net.sourceforge.pinyin4j.PinyinHelper;
import net.sourceforge.pinyin4j.format.HanyuPinyinCaseType;
import net.sourceforge.pinyin4j.format.HanyuPinyinOutputFormat;
import net.sourceforge.pinyin4j.format.HanyuPinyinToneType;
import net.sourceforge.pinyin4j.format.HanyuPinyinVCharType;
import net.sourceforge.pinyin4j.format.exception.BadHanyuPinyinOutputFormatCombination;
import org.apache.commons.lang.StringUtils;

public class PinYinUtils {

   public static void main(String[] args) {
      System.out.println(convertLower("方案"));
   }

   public static String convertUpper(String text) {
      return convert(text, HanyuPinyinCaseType.UPPERCASE, false);
   }

   public static String convertLower(String text) {
      return convert(text, HanyuPinyinCaseType.LOWERCASE, false);
   }

   public static String converCapitalize(String text) {
      return convert(text, (HanyuPinyinCaseType)null, true);
   }

   public static String capitalizeLetter(String text) {
      String c = converCapitalize(text);
      return StringUtils.isBlank(c)?"":c.replaceAll("[a-z]", "");
   }

   public static String firstLetter(String text) {
      String c = converCapitalize(text);
      return StringUtils.isBlank(c)?"":StringUtils.substring(c, 0, 1);
   }

   public static String convert(String text, HanyuPinyinCaseType caseType, boolean isCapitalize) {
      if(StringUtils.isBlank(text)) {
         return "";
      } else {
         HanyuPinyinOutputFormat format = new HanyuPinyinOutputFormat();
         if(caseType != null) {
            format.setCaseType(caseType);
            isCapitalize = false;
         }

         format.setToneType(HanyuPinyinToneType.WITHOUT_TONE);
         format.setVCharType(HanyuPinyinVCharType.WITH_V);
         char[] input = StringUtils.trimToEmpty(text).toCharArray();
         StringBuilder builder = new StringBuilder();

         try {
            char[] ex = input;
            int var7 = input.length;

            for(int var8 = 0; var8 < var7; ++var8) {
               char c = ex[var8];
               if(Character.toString(c).matches("[\\u4E00-\\u9FA5]+")) {
                  String[] temp = PinyinHelper.toHanyuPinyinStringArray(c, format);
                  if(isCapitalize) {
                     builder.append(StringUtils.capitalize(temp[0]));
                  } else {
                     builder.append(temp[0]);
                  }
               } else if(isCapitalize) {
                  builder.append(StringUtils.capitalize(Character.toString(c)));
               } else {
                  builder.append(Character.toString(c));
               }
            }
         } catch (BadHanyuPinyinOutputFormatCombination var11) {
            var11.printStackTrace();
         }

         return builder.toString();
      }
   }
}
